#ifdef VHDL

/*
 * $Id: Vhdl_test_architecture.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

namespace morpheo              {
namespace behavioural          {

// _architecture[_name_architecture].
// test_architecture();
  
#undef  FUNCTION
#define FUNCTION "Vhdl::test_architecture"
  void Vhdl::test_architecture (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    if (_name_architecture == "")
      _name_architecture = _name_architecture_default;

    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };

#undef  FUNCTION
#define FUNCTION "Vhdl::test_architecture"
  std::string Vhdl::test_architecture (std::string name)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    std::string _return;

    if (name == "")
      _return = _name_architecture_default;
    else
      _return = name;
    
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
